<?php
/**
 * Copyright © 2016 Neoxero. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>

<?php $columnsLimit = $block->getColumnsLimit() ?: 0; ?>
<?php $_menu = $block->getHtml('parent', 'collapse', $columnsLimit) ?>
 
 
 <?php /* ?>
    <ul class="main-page-side-bar-ul hidden-xs hidden-sm" style="display:none;">
        <?php /* @escapeNotVerified *\/ echo $_menu; ?>
    </ul>
	
	<div class="clearfix"></div>
	
<?php */ ?>
	
<aside class="col-xs-12">
<section class="responsive-menu"> 
  <label for="respnsive-menu-toggle-input" class="respnsive-menu-toggle">
	<i class="icon-cutted-plus"></i>
	<span>  أقسام المتجر </span>
  </label>
  <input type="checkbox"  class="respnsive-menu-toggle-input" id="respnsive-menu-toggle-input" name="respnsive-menu-toggle-input">
  <div class="respnsive-menu-toggle-container">
	<a href="javascript:void(0);" class="respnsive-menu-toggle-close"> 
		<i class="icon-close"></i>
	</a>
	<h3 class="respnsive-menu-toggle-title" > أقسام المتجر  </h3>
    <ul class="" >
        <?php /* @escapeNotVerified */ echo $_menu; ?>
    </ul>
  </div>
</section>

<script type="text/javascript" >
		require([
			'jquery'
		], function (jQuery) {
			(function ($) {
				$(function () {
					$(".respnsive-menu-toggle-close").click(function(){
						$("#respnsive-menu-toggle-input").prop('checked', false);
					});
					
					$(".respnsive-menu-toggle-container li").each(function(){
						
						var self = $(this);
						if( self.has("ul").length > 0 ){
						}else{
							self.addClass("has-no-sub");
						}

					});
					
					$(".respnsive-menu-toggle-container li").click(function(){
						
						var self = $(this);
						if ( self.hasClass("open-sub")){
							self.removeClass("open-sub");
						} else {
							if( self.has("ul").length > 0 ){
								self.addClass("open-sub");
								return false;
							}else{
								self.addClass("has-no-sub");
								return true;
							}
							
						}
						return true; 
					});
				});
			})(jQuery);
		});
</script>

</aside>
